ant-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Bevan Arps <bevan.a...@actfs.co.nz>
Subject Re: removing deprecated stuff
Date Thu, 29 Nov 2001 19:45:28 GMT


> > How about showing deprecated warnings only when ant
> > is run in -deprecated mode?

I'm not an official voter, but this gets a -1 in my opinion.

There seems to be no point at all in forcing people to *ask* (by using a 
commandline flag) to be told that they are using deprecated features.

I'd suggest going the other way:

ONLY support deprecated features when run with a -legacy flag.

This allows people to run with the old stuff if required (if they have an 
old build file they can't change, or the project they download has an old 
file) but makes it easier to do things the "right" way.

Just my 2c,
Bevan.


--
"Programming is an Art Form that Fights Back"

Bevan Arps (<mailto:bevan.arps@actfs.co.nz>bevan.arps@actfs.co.nz)
Senior OO Analyst, ACT Financial Systems

This communication  is confidential  to ACT  Financial  Systems  (Asia 
Pacific)  and is intended for  use only by the  addressee.   The  views and 
opinions  expressed in  this email  are the senders  own and do not 
represent  the  views  and  opinions of  ACT  Financial  Systems  (Asia 
Pacific).


Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message